<?php
require'f_poezii.php';
$titlu='Adaugă poezie';
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
$nume=$_POST['nume'];
$cid=$_POST['cid'];
$pret_com=$_POST['pret_com'];
$pret_rate=$_POST['pret_rate'];
if(blocat($nume))
{
$tip='nume poezie';
$text=$nume;
require'f_ban.php';
}
if(blocat($pmtext))
{
$tip='text poezie';
$text=$pmtext;
require'f_ban.php';
}
if(($cid!=''&&$nume!=''&&$pmtext!=''?$conn->query('INSERT INTO`poezii`SET`de`="'.$de.'",`nume`="'.$nume.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="'.$pmtext.'",`cid`="'.$cid.'"'):false))
{
$pid=$conn->insert_id;
require'f_notificare.php';
$items=$conn->query('SELECT`de`FROM`poezii_abonati`WHERE`de`!="'.$de.'"');
while($item=$items->fetch_row())
{
notificare('am adăugat poezia [url=/poezie/id/'.$pid.'-'.seo($nume).']'.$nume.'[/url]!',$item[0],$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="a adăugat poezia [url=/poezie/id/'.$pid.'-'.seo($nume).']'.$nume.'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$lei['poezie'].' WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Poezia <a href="/poezie/id/'.$pid.'-'.seo($nume).'">'.htmlspecialchars($nume).'</a> a fost adaugata, iar tu ai primit <strong>'.$lei['poezie'].'</strong> lei!';
if(preg_match('/[^0-9]/',$pret_com)||mb_strlen($pret_com)>4||preg_match('/[^0-9]/',$pret_rate)||mb_strlen($pret_rate)>4)
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii",`de`="'.$de.'",`text`="a încercat să ofere la o poezie ca preț comentarii '.$pret_com.' lei, și ca preț note '.$pret_rate.' lei, fapt pentru care i-au fost retrasi un număr de '.$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0].' lei!",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0"WHERE`id`="'.$de.'"');
echo'<br />Ai scris un preț incorect, dacă ai introdus alte simboluri care nu pot fi socotite ca și inselatorii, vei primi leii inapoi, vorbeste cu <strong>'.join(', sau cu ',array_map('nume',$id_proprietari)).'</strong> în maxim 24 de ore!';
}
else
{
if($pret_com>0||$pret_rate>0)
{
$conn->query('UPDATE`poezii`SET`pret_com`="'.$pret_com.'",`pret_rate`="'.$pret_rate.'"WHERE`id`="'.$pid.'"');
echo'<br />Ai setat ca preț pentru comentarii suma de <strong>'.$pret_com.'</strong> lei, iar ca preț pentru note, suma de <strong>'.$pret_rate.'</strong> lei!<br />Oricând cineva comentează sau notează această poezie, ți-se vor retrage din lei aceste sume!';
}
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat categoria, numele sau textul poeziei, sau este adăugată o poezie cu acest nume!';
echo$div[0];
require'f_jos.php';